#include <stdlib.h>

#include "netex.h"
#include "log.h"


bool canLog = true;
app_logger_info* default_app_log = NULL;

app_logger_info* initialize_log(char* logPath, char* executable, int maxFileSize, enum log_level maxLogLevel)
{
    return NULL;
}

int shutdown_logger(const void* data)
{
    logger* logger = (struct logger*)data;
    logger->app_logger = NULL;
    logger->name = NULL;
    free(logger);
    return 0;
}

void shutdown_log(app_logger_info* appLogger)
{
    canLog = false;
    iterate_list(appLogger->loggers, true, &shutdown_logger);
}



logger* create_logger(app_logger_info* appLogger, char* name)
{
    return NULL;
}

void log_to_file(logger* logger, enum log_level logLevel, char* format, ...)
{
    if (!canLog || logger->app_logger->max_log_level <= logLevel) return;
    char* logMessage;
    va_list args;
    va_start(args, format);
    int formatedStringSize = vasprintf(&logMessage, format, args);
    if (0 > formatedStringSize) logMessage = NULL;
    va_end(args);
    //TODO: Handle logging to file/queue
    free(logMessage);
}
